Summary:	KDE Frameworks 5 incidence editor module
Name:		incidenceeditor
Version:	17.08.2
Release:	1
License:	LGPLv2.1+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	boost-devel
BuildRequires:	kf5akonadi-devel
BuildRequires:	kf5akonadimime-devel
BuildRequires:	kf5calendarcore-devel
BuildRequires:	kf5calendarsupport-devel
BuildRequires:	kf5calendarutils-devel
BuildRequires:	kf5codecs-devel
BuildRequires:	kf5eventviews-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kdepimdbusinterfaces-devel
BuildRequires:	kf5ldap-devel
BuildRequires:	kf5libkdepim-devel
BuildRequires:	kf5mailtransport-devel
BuildRequires:	kf5mime-devel
BuildRequires:	kgantt-devel
BuildRequires:	openldap-devel
BuildRequires:	sasl-devel
BuildRequires:	pkgconfig(libical)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	kincidenceeditor < 3:16.08.2
Obsoletes:	kincidenceeditor < 3:16.08.2

%description
KDE Frameworks 5 incidence editor module.

%files
%{_kde5_bindir}/kincidenceeditor
%{_kde5_sysconfdir}/xdg/incidenceeditor.categories
%{_kde5_sysconfdir}/xdg/incidenceeditor.renamecategories

#----------------------------------------------------------------------------

%package i18n
Summary:	KDE Frameworks 5 incidence editor library translations
Group:		System/Internationalization
Conflicts:	kde5-l10n < 17.04
BuildArch:	noarch

%description i18n
KDE Frameworks 5 incidence editor library translations.

%files i18n -f libincidenceeditors.lang

#----------------------------------------------------------------------------

%define kf5incidenceeditor_major 5
%define libkf5incidenceeditor %mklibname kf5incidenceeditor %{kf5incidenceeditor_major}

%package -n %{libkf5incidenceeditor}
Summary:	KDE Frameworks 5 incidence editor shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5incidenceeditor}
KDE Frameworks 5 incidence editor shared library.

%files -n %{libkf5incidenceeditor}
%{_kde5_libdir}/libKF5IncidenceEditor.so.%{kf5incidenceeditor_major}*

#----------------------------------------------------------------------------

%define devkf5incidenceeditor %mklibname kf5incidenceeditor -d

%package -n %{devkf5incidenceeditor}
Summary:	Development files for KDE Frameworks 5 incidence editor module
Group:		Development/KDE and Qt
Requires:	%{libkf5incidenceeditor} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5incidenceeditor-devel = %{version}

%description -n %{devkf5incidenceeditor}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5incidenceeditor}
%{_kde5_includedir}/KF5/IncidenceEditor
%{_kde5_includedir}/KF5/incidenceeditor
%{_kde5_includedir}/KF5/incidenceeditor_version.h
%{_kde5_libdir}/cmake/KF5IncidenceEditor
%{_kde5_libdir}/libKF5IncidenceEditor.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang libincidenceeditors --with-kde --with-html
%kf5locales_fix libincidenceeditors.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 17.08.2-1
- (91ccb6c) New version 17.08.2


